package com.kingdee.eas.custom.logs;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class MessageLogsFactory
{
    private MessageLogsFactory()
    {
    }
    public static com.kingdee.eas.custom.logs.IMessageLogs getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.logs.IMessageLogs)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1C714FA2") ,com.kingdee.eas.custom.logs.IMessageLogs.class);
    }
    
    public static com.kingdee.eas.custom.logs.IMessageLogs getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.logs.IMessageLogs)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1C714FA2") ,com.kingdee.eas.custom.logs.IMessageLogs.class, objectCtx);
    }
    public static com.kingdee.eas.custom.logs.IMessageLogs getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.logs.IMessageLogs)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1C714FA2"));
    }
    public static com.kingdee.eas.custom.logs.IMessageLogs getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.logs.IMessageLogs)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1C714FA2"));
    }
}